List policy attachments

GET/auth/v1/memberships/{orgId}/policies/{policyId}/attachments

Returns all identities that the given policy is attached to within the organization.

Authorization<token>

In: header

Path Parameters

orgId*string

Organization ID

policyId*string

Policy ID

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.ListAttachmentsResponse",
  "$ref-value": {
    "properties": {
      "attachments": {
        "items": {
          "$ref": "#/components/schemas/authv1.PolicyAttachment",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "identity_id": {
                "type": "string"
              },
              "identity_type": {
                "type": "string"
              },
              "policy_id": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships/string/policies/string/attachments"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.ListAttachmentsResponse",
  "$ref-value": {
    "properties": {
      "attachments": {
        "items": {
          "$ref": "#/components/schemas/authv1.PolicyAttachment",
          "$ref-value": {
            "properties": {
              "created_at": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "identity_id": {
                "type": "string"
              },
              "identity_type": {
                "type": "string"
              },
              "policy_id": {
                "type": "string"
              }
            },
            "type": "object"
          }
        },
        "type": "array"
      }
    },
    "type": "object"
  }
}